Bug 111700 - Sound-juicer crashes when using Arjanv's 2.6 test kernel
Sound-juicer crashes when using Arjanv's 2.6 test kernel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-08 18:04 EST by Jacob Kroon
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-19 10:30:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jacob Kroon 2003-12-08 18:04:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
Sound-juicer seg faults under 2.6.0-test kernel, works fine when using
the stock Fedora Core 1 kernel. It looks like a kernel bug, not a
Sound-juicer bug, because I get some interesting(?) information when I
run "dmesg", which I have provided with this bug info.

Version-Release number of selected component (if applicable):
2.6.0-0.test11.1.100

How reproducible:
Always

Steps to Reproduce:
1. Install kernel 2.6.0-0.test11.1.100
2. Run sound-juicer
3. Check output of "dmesg"
    

Actual Results:  Sound-juicer crashes

Expected Results:  Sound-juicer should run happily

Additional info:

Unable to handle kernel paging request at virtual address fef23bec
 printing eip:
021dbe8f
*pde = 00000000
Debug: sleeping function called from invalid context at
include/linux/rwsem.h:43in_atomic():0, irqs_disabled():1
Call Trace:
 [<02119944>] __might_sleep+0x7f/0x87
 [<021432a8>] rw_vm+0x88/0x240
 [<0214368a>] get_user_size+0x34/0x5c
 [<021dbe8f>] sg_io+0x17f/0x37a
 [<021dbe8f>] sg_io+0x17f/0x37a
 [<0210c68c>] handle_BUG+0x38/0xe9
 [<021dbe8f>] sg_io+0x17f/0x37a
 [<0211ba47>] release_console_sem+0x2e/0x81
 [<0210c765>] die+0x28/0xa7
 [<02116ccc>] do_page_fault+0x301/0x453
 [<021dbe8f>] sg_io+0x17f/0x37a
 [<021d7997>] elv_set_request+0x17/0x25
 [<021d9208>] get_request+0x113/0x1d2
 [<021d92bd>] get_request+0x1c8/0x1d2
 [<021d936b>] get_request_wait+0xa4/0xb2
 [<02119b12>] autoremove_wake_function+0x0/0x36
 [<021169cb>] do_page_fault+0x0/0x453
 [<021dbe8f>] sg_io+0x17f/0x37a
 [<021433db>] rw_vm+0x1bb/0x240
 [<0214368a>] get_user_size+0x34/0x5c
 [<021dc4d5>] scsi_cmd_ioctl+0x1a3/0x37e
 [<02183716>] avc_has_perm+0x3d/0x47
 [<1293a876>] cdrom_ioctl+0x25/0xa41 [cdrom]
 [<0214c9ba>] cp_new_stat64+0xe9/0xfd
 [<1294593b>] idecd_ioctl+0x3d/0x45 [ide_cd]
 [<021db014>] blkdev_ioctl+0x361/0x377
 [<0214ca3c>] sys_fstat64+0x20/0x27
 [<021530ec>] sys_ioctl+0x1f4/0x20c
  
Oops: 0000 [#1]
CPU:    0
EIP:    0060:[<021dbe8f>]    Not tainted
EFLAGS: 00010213
EIP is at sg_io+0x17f/0x37a
eax: 0000000a   ebx: 0336f1dc   ecx: 00000002   edx: 0719be74
esi: fef23bec   edi: 0336f254   ebp: 00000000   esp: 0719bd94
ds: 007b   es: 007b   ss: 0068
Process sound-juicer (pid: 2106, threadinfo=0719a000 task=0719d940)
Stack: 00000000 072efc44 00000001 00000040 00000c58 00000040 0656cc98
021433db
       0656c000 00000013 030ad8e0 030ad8e0 00000040 03370290 0719be74
fef23c58
       0214368a fef23c98 0719beb4 0719be74 03370290 fffffff2 fef23c58
021dc4d5
Call Trace:
 [<021433db>] rw_vm+0x1bb/0x240
 [<0214368a>] get_user_size+0x34/0x5c
 [<021dc4d5>] scsi_cmd_ioctl+0x1a3/0x37e
 [<02183716>] avc_has_perm+0x3d/0x47
 [<1293a876>] cdrom_ioctl+0x25/0xa41 [cdrom]
 [<0214c9ba>] cp_new_stat64+0xe9/0xfd
 [<1294593b>] idecd_ioctl+0x3d/0x45 [ide_cd]
 [<021db014>] blkdev_ioctl+0x361/0x377
 [<0214ca3c>] sys_fstat64+0x20/0x27
 [<021530ec>] sys_ioctl+0x1f4/0x20c
  
Code: f3 a5 a8 02 74 02 66 a5 a8 01 74 01 a4 0f b6 42 08 3c 10 74
Comment 1 Jacob Kroon 2003-12-14 10:51:28 EST
Sound-Juicer seems to work fine with the newer 2.6.0-0.test11.1.102
kernel! 8)
Comment 2 Sahil Verma 2004-03-18 21:11:30 EST
Can this bug be closed? User reports problem was fixed after upgrading
to a later kernel.

Note You need to log in before you can comment on or make changes to this bug.